For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList canvas areas
      • POSTCreate a canvas area
      • GETGet a canvas area
      • PATCHUpdate a canvas area
      • DELDelete a canvas area
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceCanvas Areas

Get a canvas area

GET
https://api.x.flatfile.com/v1/canvas-areas/:canvasAreaId
GET
/v1/canvas-areas/:canvasAreaId
$curl https://api.x.flatfile.com/v1/canvas-areas/canvasAreaId \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "id": "id",
4 "canvasId": "canvasId",
5 "config": {
6 "key": "value"
7 },
8 "metadata": {
9 "key": "value"
10 },
11 "layout": "split",
12 "overlay": {
13 "key": "value"
14 },
15 "type": "mapping",
16 "position": "top",
17 "visibility": "visible",
18 "createdAt": "2024-01-15T09:30:00Z",
19 "updatedAt": "2024-01-15T09:30:00Z",
20 "parentId": "parentId",
21 "deletedAt": "2024-01-15T09:30:00Z"
22 }
23}
Returns a specific canvas area by ID
Was this page helpful?
Previous

Update a canvas area

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

canvasAreaIdstringRequired
Canvas Area ID

Headers

X-Disable-Hooks"true"Required

Response

This endpoint returns an object.
dataobject
A canvas area represents a section within a canvas for organizing content

Errors

400
Bad Request Error
404
Not Found Error